package cif

import (
	"time"

	"git.fjla.uk/owlboard/timetable-mgr/log"
	"go.uber.org/zap"
)

func getDayString() string {
	london, err := time.LoadLocation("Europe/London")
	if err != nil {
		log.Msg.Error("Unable to load time zone info", zap.Error(err))
	}

	timeNow := time.Now().In(london)
	day := timeNow.Weekday()

	dayStrings := [...]string{"sun", "mon", "tue", "wed", "thu", "fri", "sat"}

	return dayStrings[day]
}
